import { IconNames } from '../../atoms/Icon';
export interface BadgeProps {
    round: 'sm' | 'md' | 'lg' | 'full';
    size: 'sm' | 'md' | 'lg';
    content: string;
    backgroundColor: string;
    color: string;
    icon: IconNames;
    iconPosition: 'left' | 'right';
    iconSize: number;
    isVisible?: boolean;
}
declare function Badge(props: BadgeProps): import("react/jsx-runtime").JSX.Element;
declare namespace Badge {
    var defaultProps: {
        size: string;
        round: string;
        content: string;
        backgroundColor: string;
        color: string;
        icon: any;
        iconPosition: string;
        iconSize: number;
        isVisible: boolean;
    };
}
export default Badge;
