import { IconNames } from '../../atoms/Icon';
export interface ButtonProps {
    buttonType?: 'solid' | 'outline' | 'ghost' | 'link';
    icon?: IconNames;
    iconPosition?: 'left' | 'right';
    size?: 'sm' | 'md' | 'lg' | 'xl';
    backgroundColor?: string;
    color?: string;
    border?: {
        color?: string;
        width?: number;
        radius?: number;
    };
    content?: string;
    isLoading?: boolean;
    isDisabled?: boolean;
    isFullWidth?: boolean;
    onClick?: any;
    margin?: string;
}
declare function Button(props: ButtonProps): import("react/jsx-runtime").JSX.Element;
declare namespace Button {
    var defaultProps: {
        buttonType: string;
        size: string;
        content: string;
        backgroundColor: string;
        color: string;
        border: {
            width: number;
            radius: number;
            color: any;
        };
        icon: string;
        iconPosition: string;
        isLoading: boolean;
        isDisabled: boolean;
        isFullWidth: boolean;
    };
}
export default Button;
