import { ReactNode } from 'react';
export interface TextInputProps {
    onClearButtonClicked: (text: string) => void;
    disable?: {
        isDisabled?: boolean;
        fillColor?: string;
    };
    text?: {
        color?: string;
        size?: number;
    };
    border: {
        color?: string;
        hoverColor?: string;
    };
    placeholder: {
        color?: string;
        text?: string;
    };
    children?: ReactNode;
    isActiveDeleteIcon?: boolean;
    isFullWidth?: boolean;
}
declare function TextInput(props: TextInputProps): import("react/jsx-runtime").JSX.Element;
declare namespace TextInput {
    var defaultProps: {
        placeholder: {
            color: string;
            text: string;
        };
        text: {
            color: string;
            size: number;
        };
        border: {
            color: string;
            hoverColor: string;
        };
        disable: {
            isDisabled: boolean;
            fillColor: string;
        };
        isActiveDeleteIcon: boolean;
        isFullWidth: boolean;
        onClearButtonClicked: (text: string) => void;
    };
}
export default TextInput;
