import { ReactNode } from 'react';
import 'swiper/swiper-bundle.min.css';
import { IconButtonProps } from '../../molecules/IconButton/IconButton';
export interface CarouselProps {
    slides: ReactNode[];
    spaceBetween?: number;
    slidesPerView?: number;
    pagination?: {
        isHide?: boolean;
    };
    prevNavigation?: {
        isHideOnFirstPage?: boolean;
        buttonProps?: IconButtonProps;
    };
    nextNavigation?: {
        isHideOnLastPage?: boolean;
        buttonProps?: IconButtonProps;
    };
    padding?: {
        left?: number;
        top?: number;
        right?: number;
        bottom?: number;
    };
}
declare function Carousel1(props: CarouselProps): import("react/jsx-runtime").JSX.Element;
declare namespace Carousel1 {
    var defaultProps: {
        slides: any[];
        spaceBetween: number;
        slidesPerView: number;
        padding: {
            top: number;
            bottom: number;
            left: number;
            right: number;
        };
        pagination: boolean;
        prevNavigation: {
            isHideOnFirstPage: boolean;
            buttonProps: {
                iconSize: number;
                color: string;
                backgroundColor: string;
                borderRadius: string;
                icon: string;
                opacity: number;
                onClick: () => void;
            };
        };
        nextNavigation: {
            isHideOnLastPage: boolean;
            buttonProps: {
                iconSize: number;
                color: string;
                backgroundColor: string;
                borderRadius: string;
                icon: string;
                opacity: number;
                onClick: () => void;
            };
        };
    };
}
export default Carousel1;
