import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { BadgeProps } from '../../molecules/Badge/Badge';
import { ButtonProps } from '../../molecules/Button/Button';
import { Feature1Props } from '../../organisms/Feature1/Feature1';
export interface FeatureSection3Props {
    imageUrls: string[];
    badgeProps: BadgeProps;
    subTitleProps: TitleProps;
    titleProps: TitleProps;
    featuresProps: Feature1Props[];
    paragraphProps: ParagraphProps;
    buttonsProps: ButtonProps[];
    backgroundImage?: string;
    backgroundColor?: string;
    isMobile?: boolean;
}
declare function FeatureSection3(props: FeatureSection3Props): import("react/jsx-runtime").JSX.Element;
declare namespace FeatureSection3 {
    var defaultProps: {
        imageUrls: string[];
        badgeProps: {
            size: string;
            round: string;
            content: string;
            backgroundColor: string;
            color: string;
            icon: any;
            iconPosition: string;
            iconSize: number;
            isVisible: boolean;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        paragraphProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        featuresProps: any[];
        buttonsProps: any[];
        description: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        backgroundImage: string;
        backgroundColor: string;
        isMobile: boolean;
    };
}
export default FeatureSection3;
