import type { Meta, StoryObj } from '@storybook/react';
import Badge from './Badge';

const meta: Meta<typeof Badge> = {
  title: 'molecules/Badge',
  component: Badge as any,
  argTypes: {},
  excludeStories: /^[a-z]/,
};

export default meta;
type Story = StoryObj<typeof Badge>;

export const 기본: Story = {
  render: args => <Badge {...args} />,
  args: Badge.defaultProps as any,
};
