import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { ButtonProps } from '../../molecules/Button/Button';
export interface Hero2Props {
    subTitle: TitleProps;
    title: TitleProps;
    description: ParagraphProps;
    buttons: ButtonProps[];
    backgroundImage?: string;
    padding?: {
        top?: number;
        bottom?: number;
        left?: number;
        right?: number;
    };
    isMobile?: boolean;
    isCenter?: boolean;
}
declare function Hero2(props: Hero2Props): import("react/jsx-runtime").JSX.Element;
declare namespace Hero2 {
    var defaultProps: {
        subTitle: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        title: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        description: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        padding: {
            top: number;
            bottom: number;
            left: number;
            right: number;
            isApply: boolean;
        };
        buttons: any[];
        backgroundImage: string;
        isMobile: boolean;
    };
}
export default Hero2;
