import { ReactNode } from 'react';
interface StackProps {
    direction: 'row' | 'column' | 'row-reverse';
    gap?: number;
    children: ReactNode;
    justifyContent?: 'flex-start' | 'center' | 'flex-end' | 'space-between';
    alignItems?: 'flex-start' | 'center' | 'flex-end' | 'space-between';
    onClick?: any;
    margin?: string;
    padding?: string;
    width?: string;
    flexWrap?: 'nowrap' | 'wrap' | 'wrap-reverse';
}
declare function Stack(props: StackProps): import("react/jsx-runtime").JSX.Element;
declare namespace Stack {
    var defaultProps: {
        children: import("react/jsx-runtime").JSX.Element;
        direction: string;
        gap: number;
        alignItems: string;
        onClick: {
            (...data: any[]): void;
            (message?: any, ...optionalParams: any[]): void;
        };
        width: string;
        flexWrap: string;
    };
}
export default Stack;
