declare class Api {
    private readonly api;
    private accessToken?;
    private loginPath;
    private loginApiPath;
    private tokenRefreshApiPath;
    private API_ROOT;
    constructor();
    get(path: string, params?: any): Promise<import("axios").AxiosResponse<any>>;
    post(path: string, requestBody?: any): Promise<import("axios").AxiosResponse<any>>;
    put(path: string, requestBody?: any): Promise<import("axios").AxiosResponse<any>>;
    patch(path: string, requestBody?: any): Promise<import("axios").AxiosResponse<any>>;
    delete(path: string): Promise<import("axios").AxiosResponse<any>>;
    refreshToken(): Promise<string>;
    silentRefreshTokenAndRetry(err: any): Promise<import("axios").AxiosResponse<any>>;
    login(payload: any): Promise<boolean>;
    setAccessToken(token: string): void;
    getAccessToken(): Promise<string>;
    setLoginPath(loginPath: string): void;
}
declare const API: Api;
export default API;
